/************************************************************************/
/*																		*/
/*	Dcpu.c	--	Interface Declarations for PIC32 cpu					*/
/*																		*/
/************************************************************************/
/*	Author:		Oliver Jones											*/
/*	Copyright 2011, Digilent Inc.										*/
/************************************************************************/
/*  File Description:													*/
/*																		*/
/*																		*/
/************************************************************************/
/*  Revision History:													*/
/*																		*/
/*	07/21/2011(OliverJ): created										*/
/*																		*/
/************************************************************************/

#include <p32xxxx.h>
#include "Dcpu.h"

void DcpuEnableInterrupts()
{
	int temp_CP0;
	
	//Get current value of cause register
	temp_CP0 = _CP0_GET_CAUSE();

	//Set interrupt vector bit (makes interupts use special interrupt vector)
	temp_CP0 |= (1 << bnIv);

	//Set cause register with new value
	_CP0_SET_CAUSE(temp_CP0);

	//Get Status Register
	temp_CP0 = _CP0_GET_STATUS();

	//Clear bnExl (Exception = normal level) and bnBev (Control bit = normal)
	temp_CP0 &= (0 << bnExl) | (0 << bnBev);

	//Set enable interrupt bit
	temp_CP0 |= (1 << bnIe);

	//Set Status register
	_CP0_SET_STATUS(temp_CP0);
}
