/************************************************************************/
/*																		*/
/*	Dport.h	--	Interface Declarations for PIC32 Ports					*/
/*																		*/
/************************************************************************/
/*	Author:		Oliver Jones											*/
/*	Copyright 2011, Digilent Inc.										*/
/************************************************************************/
/*  File Description:													*/
/*																		*/
/*																		*/
/************************************************************************/
/*  Revision History:													*/
/*																		*/
/*	07/07/2011(OliverJ): created										*/
/*																		*/
/************************************************************************/

#if !defined(DPORT_INC)
#define DPORT_INC

#include "stdTypes.h"

typedef struct {
	unsigned int * pTrs;
	unsigned int * pTrsSet;
	unsigned int * pTrsClr;
	unsigned int * pLat;
	unsigned int * pLatSet;
	unsigned int * pLatClr;
	unsigned int * pPort;
} portHIF;

/* ------------------------------------------------------------ */
/*					Procedure Declarations						*/
/* ------------------------------------------------------------ */

BOOL DportGetHandle(portHIF * hif, char chPort);
BOOL DportSetPortDir(portHIF * hif, unsigned int value);
BOOL DportSetPinDir(portHIF * hif, unsigned int pin, BOOL fSel);
BOOL DportSetPortOutput(portHIF * hif, unsigned int value);
BOOL DportSetPinOutput(portHIF * hif, unsigned int pin, BOOL fSel);
void DportInvertPortOutput(portHIF * hif);
void DportInvertPinOutput(portHIF * hif, unsigned int pin);
BOOL DportGetPort(portHIF * hif, unsigned int *pRcv);
BOOL DportGetPin(portHIF * hif, unsigned int pin, unsigned int *pRcv);

#endif
