/************************************************************************/
/*																		*/
/*	PmodSF.h	--	Declaration for PmodSF library 	    				*/
/*																		*/
/************************************************************************/
/*	Author:		Michelle Yu												*/
/*	Copyright 2011, Digilent Inc.										*/
/************************************************************************/
/*  File Description:													*/
/*		This file declares functions for PmodSF							*/
/*																		*/
/************************************************************************/
/*  Revision History:													*/
/*																		*/
/*	07/29/2011(MichelleY): created										*/
/*																		*/
/************************************************************************/
#if !defined(PMODSF_H)
#define PMODSF_H

/* ------------------------------------------------------------ */
/*				Include File Definitions						*/
/* ------------------------------------------------------------ */
#include "Dspi.h"

/* ------------------------------------------------------------ */
/*					Procedure Declarations						*/
/* ------------------------------------------------------------ */

//utility function
BOOL WriteEnable(spiHIF * spiH);
BYTE ReadSR(spiHIF * spiH);
BOOL WaitForWrite(spiHIF * spiH);

//Procedure functions
int GetDeviceInfo(spiHIF* spiH, int* maxAddress);
BOOL NormalRead(spiHIF * spiH, BYTE* readData, int address, DWORD byteNum);
BOOL FastRead(spiHIF * spiH, BYTE* readData, int address, DWORD byteNum);
BOOL WritePage(spiHIF * spiH, BYTE* writeData, int address, DWORD byteNum);
BOOL SectorErase(spiHIF * spiH, int address);
BOOL BulkErase(spiHIF * spiH);
BOOL Sleep(spiHIF * spiH);
BOOL Wake(spiHIF * spiH);
BOOL WriteProtect(spiHIF * spiH, BYTE areaNum);




#endif